Process Order
curl --request POST \
--url https://api.paytring.com/api/v1/order/process \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"method": "upi",
"code": "collect",
"hash": "<string>",
"order_id": "<string>",
"vpa": "example@upi",
"device": "android"
}
'import requests
url = "https://api.paytring.com/api/v1/order/process"
payload = {
"key": "<string>",
"method": "upi",
"code": "collect",
"hash": "<string>",
"order_id": "<string>",
"vpa": "example@upi",
"device": "android"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
key: '<string>',
method: 'upi',
code: 'collect',
hash: '<string>',
order_id: '<string>',
vpa: 'example@upi',
device: 'android'
})
};
fetch('https://api.paytring.com/api/v1/order/process', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{\n \"status\": true,\n \"payment_id\": \"667589021207104214\",\n \"data\": {\n \"type\": \"intent\",\n \"token\": \"66c837ca1d1a3\",\n \"url\": \"dXBpOi8vcGF5P3BhPWV4YW1wbGVAbnBjaSZwbj1UZXN0JnRyPUUyNDA2MDQ3NVhVNjRUJm1jPTgyMjAmYW09MS4wMCZjdT1JTlImdG49UGF5Jm1hbT0xLjAwJnJlZlVybD1odHRwczovL3BheS5lYXNlYnV6ei5pbg==\",\n \"param\": []\n },\n \"request_id\": \"66c837c9baf4c\"\n}"Merchant Hosted Checkout Payment
Process Order
This api can be used to process transaction without opening paytring checkout , also known as seamless api or custom checkout api
POST
/
api
/
v1
/
order
/
process
Process Order
This API is used to process an order for payment after it has been created.
Request Body
{
"key": "string", // Merchant API key
"order_id": "string", // Order ID
"hash": "string" // Calculated hash for request validation
}
Responses
200 OK
{
"status": true,
"message": "Order processed successfully",
"transaction_id": "string"
}
400 Bad Request
{
"status": false,
"error": {
"message": "Invalid request",
"code": 400
}
}
Body
application/json
merchant api key, provided by paytring.
eg. upi, nb, card, wallet, emi
this parameter's value changes depending on what method it is, in case of upi you have three options collect, qr, intent .In case of nb bank code will be passed as value, incase of wallet , wallet app code will be passed. in case of card value will be card
to be calculated for this request
order id received in response from paytring in create order api
only required if method is upi and code is collect
only required if method is card
Show child attributes
Show child attributes
mandatory if method is upi and code is intent, eg. android, ios

